#include <iostream>

using namespace std;

#define LL long long

int W, H;

void Load()
{
	cin >> W >> H;
}

void Solve()
{
	LL res = 0;
	int w, h;
	int i, j, k;
	for (w = 1; w < W; w++)
	{
		for (h = 1; h < H; h++)
		{
			for (i = 0; i <= min(w, h); i++)     
			{
				for (j = 0; j <= min(h, w); j++)
				{
					res += (min(w - i, h - j) + 1) * (min(w - j, h - i) + 1) * (H - h) * (W - w);   
				}
			}
			if (w == h)
				res -= 2 * (H - h) * (W - w);
		}
	}
	cout << res << endl;

}

int main()
{
	Load();
	Solve();
	return 0;
}
